Content (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, enum: Content

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class Content

java.lang.Object
java.lang.Enum<Content>
org.apache.hadoop.hdfs.server.namenode.Content

All Implemented Interfaces:
  `Serializable`, `Comparable<Content>`, `Constable`

public enum Content extends Enum<Content>
The content types such as file, directory and symlink to be computed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  The number of directories.
  `DISKSPACE`
  The total of disk space usage in bytes including replication.
  `FILE`
  The number of files.
  `LENGTH`
  The total of file length in bytes.
  `SNAPSHOT`
  The number of snapshots.
  `SNAPSHOTTABLE_DIRECTORY`
  The number of snapshottable directories.
  `SYMLINK`
  The number of symlinks.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Content`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Content[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final Content FILE
    The number of files.

  - ### DIRECTORY

    public static final Content DIRECTORY
    The number of directories.

  - ### SYMLINK

    public static final Content SYMLINK
    The number of symlinks.

  - ### LENGTH

    public static final Content LENGTH
    The total of file length in bytes.

  - ### DISKSPACE

    public static final Content DISKSPACE
    The total of disk space usage in bytes including replication.

  - ### SNAPSHOT

    public static final Content SNAPSHOT
    The number of snapshots.

  - ### SNAPSHOTTABLE_DIRECTORY

    public static final Content SNAPSHOTTABLE_DIRECTORY
    The number of snapshottable directories.

- ## Method Details

  - ### values

    public static Content[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Content valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null